Story # 3526 (Closed): Material required for Reverse Site Visit

Collate logs from production member nodes for metrics reporting

2013-01-30 17:55 - Dave Vieglais

Status: Closed Start date: 2013-01-30

Priority: Urgent Due date: 2013-02-11

Assignee: Robert Waltz % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

Logs from production member nodes need to be retrieved and processed to generate summary statistics indicating:

Number of object retrievals (get) per member node 

Total number of object retrievals (sum of all member and coordinating nodes)

History

#1 - 2013-02-11 20:25 - Ben Leinfelder

-- total read events since July 2012, excludes any DataONE node

SELECT event, count(*) as count

FROM access_log

WHERE date_logged >= '07/01/2012'

AND event = 'read'

AND principal not like 'CN=urn:node:%'

GROUP BY event

order by event, count desc;

#2 - 2013-02-13 07:07 - Robert Waltz

- File ProductionReadCount.out added

- File ProductionReadCount.out added

#3 - 2013-02-13 19:28 - Matthew Jones

- File reads-by-date-20130212.png added

- File reads-by-date-20130212.png added

For context, I plotted the reads over time for each month on the KNB.  There is a distinct change in 2012.  I've attached the graph, and here's the

query that I used to generate the plot.

SELECT event, extract(year from date_logged) as yr, extract(month from date_logged) as mnth, count(*) as count FROM access_log WHERE event

= 'read' AND principal not like 'CN=urn:node:%' GROUP BY event, yr, mnth order by event, yr, mnth, count desc
#4 - 2013-02-13 19:51 - Ben Leinfelder

KNB:

event |  count

-------+---------

read  | 1487892

ESA:

event | count

-------+-------

read  |  1759

SANPARKS:

event | count

-------+-------

read  |  7688

PISCO:

event | count

-------+--------

read  | 335113

LTER:

event | count

-------+--------

read  | 257467

CLOAKN:

read = 31

ORNLDAAC:

read - 196

USGSCSAS:

read - 99

ONEShare:

read - 25

CDL:

read -33898
#5 - 2013-02-14 05:31 - Robert Waltz

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from New to Closed

Files

ProductionReadCount.out 3.16 KB 2013-02-13 Robert Waltz

reads-by-date-20130212.png 10.3 KB 2013-02-13 Matthew Jones
